Bug 28321 - Use template block for display of items in search results
Summary: Use template block for display of items in search results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-11 15:42 UTC by Owen Leonard
Modified: 2021-10-08 14:26 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28321: Use template block for display of items in search results (24.43 KB, patch)
2021-05-12 10:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28321: Use template block for display of items in search results (24.34 KB, patch)
2021-09-27 17:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28321: Use template block for display of items in search results (24.39 KB, patch)
2021-09-28 12:20 UTC, David Nind
Details | Diff | Splinter Review
Bug 28321: Use template block for display of items in search results (24.47 KB, patch)
2021-10-03 15:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-05-11 15:42:49 UTC
The staff interface search results template has three blocks of template markup which are essentially duplicates of each other. We can simplify the page by creating a reusable block for this.

In doing so I plan to add additional markup to improve options for styling and add some CSS to handle some inline styles.
Comment 1 Owen Leonard 2021-05-12 10:49:40 UTC Comment hidden (obsolete)
Comment 2 David Nind 2021-09-25 04:28:38 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2021-09-27 17:23:59 UTC Comment hidden (obsolete)
Comment 4 David Nind 2021-09-28 12:20:57 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2021-10-03 15:05:10 UTC
Created attachment 125684 [details] [review]
Bug 28321: Use template block for display of items in search results

This patch updates the staff interface catalog search results to use
a new reusable BLOCK for displaying item information: Available items,
checked-out items, and unavailable items.

Some style has been updated, and an old GIF image has been replaced with
an SVG. The hold ratios template has been updated to accommodate this
change.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Perform a catalog search in the staff interface which will return
  multiple results with multiple items each. For thorough testing, some
  records should have items which are checked out, available, or
  lost/notforloan.
- On the search results page, confirm that item information is accurate
  and readable.
- Test with  item-level_itypes on and off.
- Test with noItemTypeImages on and off.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-10-06 08:37:27 UTC
Pushed to master for 21.11, thanks to everybody involved!